tvbrowser.ui.configassistant

## Class AbstractCardPanel

- java.lang.Object
- - tvbrowser.ui.configassistant.AbstractCardPanel

- All Implemented Interfaces:
    CardPanel
  Direct Known Subclasses:
    AuthenticationChannelCardPanel, FinishCardPanel, NetworkCardPanel, NetworkSuccessPanel, SubscribeChannelCardPanel, WelcomeCardPanel

      abstract class AbstractCardPanel
      extends java.lang.Object
      implements CardPanel

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractCardPanel(PrevNextButtons btns)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CardPanel` | `getNext()`
    `abstract javax.swing.JPanel` | `getPanel()`
    `CardPanel` | `getPrev()`
    `boolean` | `hasNext()`
    `boolean` | `hasPrev()`
    `boolean` | `onNext()`
    `boolean` | `onPrev()`
    `void` | `onShow()`
    `void` | `setNext(CardPanel next)`
    `void` | `setPrev(CardPanel prev)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractCardPanel

          protected AbstractCardPanel(PrevNextButtons btns)

  - ### Method Detail

    - #### getPanel

          public abstract javax.swing.JPanel getPanel()

      Specified by:
        `getPanel` in interface `CardPanel`

    - #### onNext

          public boolean onNext()

      Specified by:
        `onNext` in interface `CardPanel`

    - #### onPrev

          public boolean onPrev()

      Specified by:
        `onPrev` in interface `CardPanel`

    - #### onShow

          public void onShow()

      Specified by:
        `onShow` in interface `CardPanel`

    - #### getNext

          public CardPanel getNext()

      Specified by:
        `getNext` in interface `CardPanel`

    - #### getPrev

          public CardPanel getPrev()

      Specified by:
        `getPrev` in interface `CardPanel`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `CardPanel`

    - #### hasPrev

          public boolean hasPrev()

      Specified by:
        `hasPrev` in interface `CardPanel`

    - #### setNext

          public void setNext(CardPanel next)

      Specified by:
        `setNext` in interface `CardPanel`

    - #### setPrev

          public void setPrev(CardPanel prev)

      Specified by:
        `setPrev` in interface `CardPanel`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)